Create customer address

Create a new address for a customer.

Address Deduplication: Addresses are automatically deduplicated using a content hash. If you create an address with the same data as an existing address, the system will update the existing address's default flags instead of creating a duplicate.

Default Address Behavior:

  • Setting is_default_billing: true will unset the flag on any other address
  • Setting is_default_shipping: true will unset the flag on any other address
  • A single address can be both default billing and default shipping

Address Validation: New addresses are created with validation_status: pending. Address validation can be triggered separately through integrated tax calculation services (e.g., Avalara).

Country Code: Use ISO 3166-1 alpha-2 country codes (e.g., US, CA, GB, DE).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
Body Params

Street address line 1 (e.g., building number and street name)

Street address line 2 (e.g., apartment, suite, unit number)

Street address line 3 (additional address information)

City or locality name

State, province, or region

Postal code or ZIP code

Country name (e.g., 'United States')

Two-letter ISO country code (e.g., 'US', 'GB')

Address validation status

connector_validation

Validation data from external connector

boolean

Set as default billing address

boolean

Set as default shipping address

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json